Name:		srsmilter
Version:	1.1.2
Release:	lp154.2.1
Summary:	SRS milter
Group:		Productivity/Networking/Email/Servers
License:	BSD
URL:		  http://intercom.it
Source0:	srsmilter-1.1.2.tar.gz
Source1:	vendor.tar.gz

BuildRequires: systemd-rpm-macros
%{?systemd_requires}
BuildRequires: go
BuildRequires: lua51-devel
BuildRequires: libbsd-devel
BuildRequires: golang-packaging

%description
Postfix SRS milter

%prep
%setup -q -a 1

%build
make %{?_smp_mflags}
make -j1 test

%install
%make_install
install -D -m 755 srsmilter.service %{buildroot}%{_unitdir}/srsmilter.service
install -D -m 644 config.yml_sample %{buildroot}%{_sysconfdir}/srsmilter.yml

%preun
%service_del_preun srsmilter.service

%files
%config(noreplace) %{_sysconfdir}/srsmilter.yml
%attr(644, root, root) %{_unitdir}/srsmilter.service
%attr(755, root, root) /usr/sbin/srsmilter

%doc
%license

%changelog
